List event matches

GET operation for /v1/events/{eventId}/matches.

GET/v1/events/{eventId}/matches

Parameters #

PropertyTypeLocationDescription
eventIdstringRequiredpath-
stageIdstringquery-
groupIdstringquery-

Request #

curl --request GET 'https://api.strave.gg/v1/events/EVENT_ID/matches' \
  --header 'Authorization: Bearer $STRAVE_API_KEY'

Response #

200Response for status 200
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
429Response for status 429
application/json
500Response for status 500
application/json
PropertyTypeDescription
dataobject[]Required-
└idstringRequired-
└eventIdstringRequired-
└stageIdstringRequired-
└groupIdstringRequired-
└roundIdstringRequired-
└matchNumbernumberRequired-
└bestOfnumber | nullRequired-
└statusstringRequired-
└teamAIdstring | nullRequired-
└teamBIdstring | nullRequired-
└scoreAnumber | nullRequired-
└scoreBnumber | nullRequired-
└winnerIdstring | nullRequired-
└scheduledAtnumber | nullRequired-
└startedAtnumber | nullRequired-
└endedAtnumber | nullRequired-
└vodUrlstring | nullRequired-
└streamUrlstring | nullRequired-
metaobjectRequired-
└countnumberRequired-